<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
	<head>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
	<meta charset="ISO-8859-1">
	<title>Superheroe Edit</title>
	</head>
	<body>
		<form action="#" 
		  th:action="@{/superheroes/update/{id}(id=${heroe.id})}" 
		  th:object="${heroe}" 
		  method="post"
		  style=" padding: 5% 40%;">
			<div class="form-group">
				<label style=" width: 25%;" for="name">Name</label> 
				<input type="text" th:field="*{name}" id="name" placeholder="Name"> 
				<span th:if="${#fields.hasErrors('name')}" th:errors="*{name}"></span>
			</div>
			<div class="form-group">
				<label style=" width: 25%;" for="force">Force</label> 
				<input type="text" th:field="*{force}" id="force" placeholder="Force"> 
				<span th:if="${#fields.hasErrors('force')}" th:errors="*{force}"></span>
			</div>
			<div class="form-group">
				<label style=" width: 25%;" for="energy">Energy</label> 
				<input type="text" th:field="*{energy}" id="energy" placeholder="Energy"> 
				<span th:if="${#fields.hasErrors('energy')}" th:errors="*{energy}"></span>
			</div>
			<div class="form-group">
				<label style=" width: 25%;" for="velocity">Velocity</label> 
				<input type="text" th:field="*{velocity}" id="velocity" placeholder="velocity">
				<span th:if="${#fields.hasErrors('velocity')}" th:errors="*{velocity}"></span>
			</div>
			<div class="form-group">
				<label style=" width: 25%;" for="resistance">Resistance</label> 
				<input type="text" th:field="*{resistance}" id="resistance" placeholder="resistance">
				<span th:if="${#fields.hasErrors('resistance')}" th:errors="*{resistance}"></span>
			</div>
			<div th:if="${errorMessage}">
			    <div th:text="${errorMessage}" style="color:red;"></div>
			</div>
			<a th:href="@{/superheroes}" class="btn btn-primary">Volver</a>
			<button type="submit" class="btn btn-primary">Update Superheroe</button> 
		</form>
	</body>
</html>